Skip to content

Delete A Specific Pick List

Request

Deletes a pick list within vWork that has the given id. You can only delete a pick list if it's not current being used by active jobs.

Security
apiKey
Path
idstringrequired
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
DELETE
/v5/pick_lists/{id}.xml
curl -i -X DELETE \
  'https://api.vworkapp.com/v5/pick_lists/{id}.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip'

Responses

OK

Headers
Cache-Controlstring
Example:"no-cache"
Content-Encodingstring
Example:"gzip"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Tue, 14 Jun 2016 01:01:44 GMT"
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"c47f6bd3-d957-4d3d-bdeb-2ae7cfb96baf"
X-Runtimestring
Example:"33.017338"
X-Unique-IDstring
Example:"CA7C7B8A:D00F_0A000ED8:01BB_575F574F_75B4F1:1E66"
X-XSS-Protectionstring
Example:"1; mode=block"